Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005257TestLinkImport results XML formatpublic2012-09-27 13:512013-08-06 20:19
Reporterrsakhale 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005257: Testcase exported for id/external id not able to import same for result update
DescriptionI have exported all TestCases so that I can update their results using Internal Id or External ID
I have tried multiple times, but found not working yet.
Steps To ReproduceExported File Contents:
<testcase internalid="11212" name="ABC">
    <node_order><![CDATA[0]]></node_order>
    <externalid><![CDATA[3195]]></externalid>
    <version><![CDATA[1]]></version>
    <summary><![CDATA[

ABC

]]></summary>
    <execution_type><![CDATA[1]]></execution_type>
    <importance><![CDATA[3]]></importance>
</testcase>
</testcases>

Import file XML:
<?xml version="1.0" encoding="UTF-8"?>
<results>
<testcase id="11212">
<name>ABC</name>
<tester>admin</tester>
    <timestamp>2012-08-08 14:00:00</timestamp>
    <result>f</result>
    <notes>functionality failed </notes>
</testcase>
</results>
Additional InformationAlso tried the same using external id retrieved from Export.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon import_not_working.png [^] (4,052 bytes) 2012-09-27 13:51


png file icon xml_file.png [^] (12,270 bytes) 2012-09-27 13:52


png file icon build_proof.png [^] (56,133 bytes) 2012-09-28 04:19


xml file icon TEST1.testsuite-children-testcases.xml [^] (1,414 bytes) 2012-09-28 06:03
xml file icon linkedItems_Test_Plan_1.xml [^] (1,212 bytes) 2012-09-28 06:03
xml file icon linkedItems_Test_Plan_1_Result Import.xml [^] (759 bytes) 2012-09-28 06:03
png file icon failed_import.png [^] (11,626 bytes) 2012-09-28 06:03

- Relationships
has duplicate 0005304closedfman import of simple XML results file fails : external_id is not recognized 
has duplicate 0005842closedfman import XML results error test case not found 
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017577)
fman (administrator)
2012-09-27 17:35

is Test Case 11212 linked to test plan where you are trying to import results ?
you have not provided proofs of this
(0017585)
rsakhale (reporter)
2012-09-28 04:20

I have attached build_proof.png where it shows the testcase is linked with current test plan
(0017586)
rsakhale (reporter)
2012-09-28 05:09

Let me tell you the steps i followed,
1. For retrieving all internal/external id's for testcases, i did deep export of a testsuite.
2. I removed the unwanted tags from the export, like summary, version, steps, etc
3. I updated the XML suitable for result import format
4. I tried for single import for a test case which is linked to a testplan
5. Import was mapped first using id which states as internal id which failed by saying testcase not linked with testplan
6. Later did using external id which said no such testcase exists

Both ways failed for me, wherein the Test Case Id are true and also the external for the same as they were retrieved using export of testlink.

Please help me with this as soon as possible and let me know if I am going wrong any way
(0017587)
fman (administrator)
2012-09-28 05:52

>> . I tried for single import for a test case which is linked to a testplan
to what test plan ?
using what TestLink feature ?
in what page?

all these info is critic and is missing

You have to create a simple test spec with 4 test cases => provide export as XML HERE
create a test plan add test cases => provide export as XML HERE
create your XML file WITH RESULTS => provide HERE

Then I will try to reproduce
(0017588)
rsakhale (reporter)
2012-09-28 06:05

I have attached files
TEST1.testsuite-children-testcases.xml -> Contains export of testcases
linkedItems_Test_Plan_1.xml -> Test Plan export with linked testcases
linkedItems_Test_Plan_1_Result Import.xml -> Result Import XMl
failed_import.png -> Screenshot of failed import
(0017591)
fman (administrator)
2012-09-28 19:02

OK I will give a look, but you have not answered our questions and this make our work difficult, please answer these questions:
to what test plan ?
using what TestLink feature ?
in what page?
(0017593)
fman (administrator)
2012-09-28 19:23

We have found an issue, and have fixed it, but you will not be able to import results with format you are using.
You need to use format as is documented, and in addition to documentation we provide with installation, there are also file examples.
After you apply the fix, create the right xml results file and retry.
(0017594)
fman (administrator)
2012-09-28 19:25

TestLink 1.9
http://gitorious.org/testlink-ga/testlink-code/commit/d32e3262cc91f4e714ce6546b479aa0192058754 [^]
(0017597)
rsakhale (reporter)
2012-10-01 09:01

It works perfectly now.
Thanks for the update.

- Issue History
Date Modified Username Field Change
2012-09-27 13:51 rsakhale New Issue
2012-09-27 13:51 rsakhale File Added: import_not_working.png
2012-09-27 13:52 rsakhale File Added: xml_file.png
2012-09-27 17:35 fman Note Added: 0017577
2012-09-28 04:19 rsakhale File Added: build_proof.png
2012-09-28 04:20 rsakhale Note Added: 0017585
2012-09-28 05:09 rsakhale Note Added: 0017586
2012-09-28 05:52 fman Note Added: 0017587
2012-09-28 06:03 rsakhale File Added: TEST1.testsuite-children-testcases.xml
2012-09-28 06:03 rsakhale File Added: linkedItems_Test_Plan_1.xml
2012-09-28 06:03 rsakhale File Added: linkedItems_Test_Plan_1_Result Import.xml
2012-09-28 06:03 rsakhale File Added: failed_import.png
2012-09-28 06:05 rsakhale Note Added: 0017588
2012-09-28 19:02 fman Note Added: 0017591
2012-09-28 19:12 fman Note Added: 0017592
2012-09-28 19:21 fman Note Deleted: 0017592
2012-09-28 19:23 fman Note Added: 0017593
2012-09-28 19:25 fman Note Added: 0017594
2012-09-28 19:25 fman Assigned To => fman
2012-09-28 19:25 fman Status new => feedback
2012-09-28 19:25 fman Relationship added child of 0005193
2012-09-28 19:41 fman Tag Attached: TO BE FIXED on 2.0
2012-10-01 09:01 rsakhale Note Added: 0017597
2012-10-01 09:01 rsakhale Status feedback => assigned
2012-10-04 20:15 fman Task Workflow Status TBD => READY FOR TESTING
2012-10-04 20:15 fman Status assigned => resolved
2012-10-04 20:15 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-10-04 20:15 fman Resolution open => fixed
2012-10-23 15:56 fman Relationship added has duplicate 0005304
2013-05-26 20:06 fman Status resolved => closed
2013-08-06 20:19 fman Relationship added has duplicate 0005842



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker